Community
Maya Forum
Welcome to Autodesk’s Maya Forums. Share your knowledge, ask questions, and explore popular Maya topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Installing Maya 2024.0.1 on Rocky Linux 8.7 - Could not load the Qt platform plugin "xcb"

1 REPLY 1
Reply
Message 1 of 2
ostlerda
771 Views, 1 Reply

Installing Maya 2024.0.1 on Rocky Linux 8.7 - Could not load the Qt platform plugin "xcb"

After installing a fresh copy of Rocky Linux 8.7 and nvidia drivers 530.30.02 I then tried to install Maya and the installer stalled on a blank white splash screen.  I went ahead and installed maya using the rpm method.  Then upon launching Maya I would get the below error message and Maya failed to launch.  I ran the command "sudo dnf install python3-qt5" and it fixed the issue.  I don't recall seeing python3-qt5 in the requirements for Maya, perhaps it should be?  I wanted to post this just in case anyone else had the same issue.

 

/usr/autodesk/maya2024/bin/maya
qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: linuxfb, minimal, offscreen, vnc, xcb.

/usr/autodesk/maya2024/bin/maya: line 201: 5339 Aborted (core dumped) /usr/autodesk/maya2024/bin/maya.bin
Tags (4)
Labels (1)
1 REPLY 1
Message 2 of 2
nico.animschool
in reply to: ostlerda

I just ran into the same issue. The suggestion of running the command "sudo dnf install python3-qt5" solved it for me as well. Thank you for the tip!

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report